<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php include ("../inc/func.inc.php") ?>
<?php include ("../inc/func_log.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$desc = str_majuscules(strip_tags(trim(@$_POST["desc"])));
		$img = strip_tags(trim(@$_POST["img"]));
		
		$retourliste = TRUE;

		if ($typdde == "add")
		{
			// Ajout de la fiche Statut
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "SELECT * FROM " .TBSTA. " WHERE statut_code = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rs = mysql_query("INSERT INTO " .TBSTA. "(statut_code,statut_desc,statut_img,statut_delok) VALUES ('$code','$desc','$img','1')") or die(mysql_error());
				$msg = "Fiche Ajoutée avec succès !";			
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
			}
			mysql_close($conn);
		}
		
		if ($typdde == "del")
		{
			$ok_del = TRUE;

			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);

			// Vérifie si utilisé dans une fiche intervention
			
			$rexist = "SELECT * FROM `" .TBINT. "` WHERE `int_codestatut` = '$code'";
			$rs = mysql_query($rexist) or die(mysql_error());
			if (mysql_num_rows($rs) <> 0)
			{
				$msg = "Ce statut est utilisée dans une fiche intervention !";			
				$ok_del= FALSE;
				$retourliste = FALSE;
			}

			if  ($ok_del == TRUE)
			{
				// Vérifie si on peut supprimer ce règlement

				$rexist = "SELECT * FROM `" .TBSTA. "` WHERE `statut_code` = '$code' AND `statut_delok` = '1'";
				$rs = mysql_query($rexist) or die(mysql_error());
				
				if (mysql_num_rows($rs) <> 0)
				{
					// SUPPRESSION de la fiche Statut
			
					$rech = "DELETE FROM `" .TBSTA. "` WHERE `statut_code` = '$code'";
					$rs = mysql_query($rech) or die(mysql_error());

					$msg = "Fiche supprimée avec succès !";			
				}
				else
				{
					$msg = "Ce statut ne peut pas être supprimé !";			
					$retourliste = FALSE;
				}
			}
			mysql_close($conn);
		}		
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Statut</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
</body>

<?php 
	include_once ("../inc/entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) { ?>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="statut_lst.php?ta=m"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="statut_lst.php?ta=m" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP } else { ?>
	<script type="text/javascript">
	window.setTimeout("location=('statut_lst.php?ta=m');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
<?PHP } ?>

<?php 
	include_once ("pied.php")
?>

